HomePhabricator

[darwin][driver] fix isMacosxVersionLT minimum supported OS version check

Authored by arphaman on Aug 13 2020, 12:05 PM.

Description

[darwin][driver] fix isMacosxVersionLT minimum supported OS version check

The previous Driver's triple check only worked for -target, but not for -arch -mmacosx-version-min invocations

Details

Committed
arphamanAug 13 2020, 12:06 PM
Parents
rGf7a13479b809: [mlir][docs] Update/Add documentation for MLIRs Pattern Rewrite infrastructure
Branches
Unknown
Tags
Unknown

Event Timeline

snidertm added inline comments.
/clang/test/Driver/macos-apple-silicon-slice-link-libs-darwin-only.cpp
3

Hi Alex,

Should this test add a "REQUIRES: darwin"? -### is used in the option set which prints out a version string that can be vendor-specific.

~ Todd Snider